Linux snapd dirty_sock Local Privilege Escalation Exploit

This module exploits a vulnerability in snapd which incorrectly validates and parses the remote socket address when performing access controls on its UNIX socket. A local attacker could use this to access privileged socket APIs and obtain administrator privileges.
Exploit type: 
Platform: 
Vulnerabilty ID: 
CVE-2019-7304
Released Date: 
Wednesday, February 20, 2019 - 18:00